# libcanaero::Receiver Class Reference

The main class and entry point to the CAN Aerospace world. More...

List of all members.

## Public Member Functions
def | __init__
| Open the network interfaces and announce yourself to other participants on the bus.
def | requestDataI
| Request to receive updates on the given CAN Id from the bus.
def | requestDataF
| Request to receive updates on the given CAN Id from the bus.
def | requestDataD
| Request to receive updates on the given CAN Id from the bus.
def | requestDataB
| Request to receive updates on the given CAN Id from the bus.
def | requestDataC4
| Request to receive updates on the given CAN Id from the bus.
def | requestDataVF
| Request to receive updates on the given CAN Id from the bus.
def | requestDataS
| Request to receive updates on the given CAN Id from the bus.
def | sendDataI
| Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.
def | sendDataF
| Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.
def | sendDataD
| Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.
def | sendDataB
| Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.
def | sendDataS
| Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.
def | sendDataVF
| Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.
def | run
| Call this repeatedly, either from the application's main loop or a separate application thread.
def | requestModule
| Request another bus participant to en- or disable one of its modules.

## Detailed Description

The main class and entry point to the CAN Aerospace world.

It manages network access and handles all protocol requirements.

The receiver maintains a list of CAN ids the application subscribed to. Notification on data changes is done via callback functions.

Calling Receiver.requestData enables you to communicate with all participants on the bus. It is the sole thing to do for interaction with the simulator.

Author:
  (c) 2009, 2010 by Philipp Münzel

Version:
  1.3

## Member Function Documentation

def libcanaero::Receiver::__init__ | ( |  | self,
|  |  | required_revision |
| ) |  |  |

Open the network interfaces and announce yourself to other participants on the bus.

Parameters:

  | required_revision | revision of the CAN Aerospace distribution your application requires

def libcanaero::Receiver::requestDataB | ( |  | self,
|  |  | can_id,
|  |  | callable_object |
| ) |  |  |

Request to receive updates on the given CAN Id from the bus.

The identifier distribution defines which data format is used.

Function for boolean data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | callable_object | Callback function to be called when value changes on the bus

def libcanaero::Receiver::requestDataC4 | ( |  | self,
|  |  | can_id,
|  |  | callable_object |
| ) |  |  |

Request to receive updates on the given CAN Id from the bus.

The identifier distribution defines which data format is used.

Function for char[4] data. Needed for ID 1200 (UTC Time) and 1206 (UTC Date). See identifier distribution

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | callable_object | Callback function to be called when value changes on the bus

def libcanaero::Receiver::requestDataD | ( |  | self,
|  |  | can_id,
|  |  | callable_object |
| ) |  |  |

Request to receive updates on the given CAN Id from the bus.

The identifier distribution defines which data format is used.

Function for double data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | callable_object | Callback function to be called when value changes on the bus

def libcanaero::Receiver::requestDataF | ( |  | self,
|  |  | can_id,
|  |  | callable_object |
| ) |  |  |

Request to receive updates on the given CAN Id from the bus.

The identifier distribution defines which data format is used.

Function for float data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | callable_object | Callback function to be called when value changes on the bus

def libcanaero::Receiver::requestDataI | ( |  | self,
|  |  | can_id,
|  |  | callable_object |
| ) |  |  |

Request to receive updates on the given CAN Id from the bus.

The identifier distribution defines which data format is used.

Function for Integer/Long data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | callable_object | Callback function to be called when value changes on the bus

def libcanaero::Receiver::requestDataS | ( |  | self,
|  |  | can_id,
|  |  | callable_object |
| ) |  |  |

Request to receive updates on the given CAN Id from the bus.

The identifier distribution defines which data format is used.

Function for string data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | callable_object | Callback function to be called when value changes on the bus

def libcanaero::Receiver::requestDataVF | ( |  | self,
|  |  | can_id,
|  |  | callable_object |
| ) |  |  |

Request to receive updates on the given CAN Id from the bus.

The identifier distribution defines which data format is used.

Function for vector of float data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | callable_object | Callback function to be called when value changes on the bus

def libcanaero::Receiver::requestModule | ( |  | self,
|  |  | node_id,
|  |  | module,
|  |  | mode |
| ) |  |  |

Request another bus participant to en- or disable one of its modules.

Causes the node to be asked via MIS aboutits capabilities and enables the requested capability via MCS.

Parameters:

  | node_id | node which owns the requested module
  | module | number of the module to be enabled
  | mode | the mode command to set

def libcanaero::Receiver::run | ( |  | self | ) |

Call this repeatedly, either from the application's main loop or a separate application thread.

Will update pointers and invoke callbacks with new data. Big black magic box that makes all work as you expect, ensuring the protocol is handled following the CAN Aerospace and SCS specifications.

Note:
  It is guaranteed that all callbacks are called from the very same thread this function is called from.

def libcanaero::Receiver::sendDataB | ( |  | self,
|  |  | can_id,
|  |  | value |
| ) |  |  |

Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.

Function for boolean data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | value | value to be send

def libcanaero::Receiver::sendDataD | ( |  | self,
|  |  | can_id,
|  |  | value |
| ) |  |  |

Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.

Function for double data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | value | value to be send

def libcanaero::Receiver::sendDataF | ( |  | self,
|  |  | can_id,
|  |  | value |
| ) |  |  |

Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.

Function for float data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | value | value to be send

def libcanaero::Receiver::sendDataI | ( |  | self,
|  |  | can_id,
|  |  | value |
| ) |  |  |

Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.

Function for Integer/Long data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | value | value to be send

def libcanaero::Receiver::sendDataS | ( |  | self,
|  |  | can_id,
|  |  | value |
| ) |  |  |

Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.

Function for string data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | value | value to be send

def libcanaero::Receiver::sendDataVF | ( |  | self,
|  |  | can_id,
|  |  | value |
| ) |  |  |

Send value of given CAN id to the bus, so other participants are informed and can synchronize themselves to the new value.

Function for vector of float data. See identifier distribution for needed type

Parameters:

  | can_id | CAN id of simulation data, specified in identifier distribution
  | value | value to be send

The documentation for this class was generated from the following file:

- libcanaero.py